@ Simples Beispiel
@ wir lieben Kommentare
.set    RCC,            0x40023800      @ base address
.set    RCC_CSR,        0x74            @ RCC clock control & status register


	 .syntax unified
 	.cpu    cortex-m4
 	.fpu    fpv4-sp-d16
 	.thumb
 	.text
        .global rstHandler,Mstk
	.equ Mstk,0x10000400
 	.org    0
	.word   Mstk
	.word   rstHandler

	.org 0x188

rstHandler:
        sub     r4, pc, #8              @ point to this location
        mov     r1, #1                  @ reset code
        ldr     r3, = ResetSrc          @ r3 points to variable
        ldr     r6, = RCC               @ RCC base address
        ldrb    r2, [r6, #RCC_CSR + 3]  @ get reset status -> r2
        cbz     r2, 1f                  @ skip if no new status
        lsr     r2, r2, #1              @ right justify reset code
        ldr     r3, = ResetSrc          @ point to variable
        str     r2, [r3]                @ save reset code
        mov     r2, #1                  @ clear status flags
        strb    r2, [r6, #RCC_CSR + 3]

1:      bl      initSys                 @ initialize system
        b       warm                    @ start forth system
initSys:
        cpsid   i                       @ disable interrupts
        ldr     r0, = Mstk              @ initialize machine stack
        mov     sp, r0
        isb
warm:
	b warm

	.global SysTicks, ResetSrc, TimeSlice
SysTicks:       .space  4               @ system tick counter
ResetSrc:       .space  4               @ source of system reset
TimeSlice:      .space  4               @ allowed time slice for tasks

       .end
